Bug 459078 - iwl3945 broken on WEP enabled APs after kernel version kernel-2.6.25.10-86.fc9.i686
iwl3945 broken on WEP enabled APs after kernel version kernel-2.6.25.10-86.fc...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
9
i386 Linux
medium Severity urgent
: ---
: ---
Assigned To: John W. Linville
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-14 07:53 EDT by Rohit V. Kapoor
Modified: 2008-11-13 10:17 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-13 10:17:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rohit V. Kapoor 2008-08-14 07:53:16 EDT
Description of problem:
iwl3945 won't work with WEP enabled APs after kernel-2.6.25.10-86.fc9.i686.
The first version with this problem is: kernel-2.6.25.11-97.fc9.i686.

Same problem in the latest 2.6.25.14 version as well.

iwl3945 in kernel-2.6.25.10-86.fc9.i686 is OK. Broken after that. I see nothing peculiar in logs. Associates and everything but won't move data. 

All I have to do is boot back with kernel-2.6.25.10-86.fc9.i686 and it works again.

Definitely a bug that has regressed the driver, first introduced in kernel-2.6.25.11-97.fc9.i686.


Version-Release number of selected component (if applicable):
See above

How reproducible:
Every time

Steps to Reproduce:
1. Boot with kernel-2.6.25.11-97.fc9.i686.
2. iwl3945 won't work with an AP with WEP enabled.
3. Boot back with kernel-2.6.25.10-86.fc9.i686 and it works.
  
Actual results:


Expected results:
It should work.

Additional info:
Can provide on request. Please let me know file/commands you'd want run and I'll send back the information. I see nothing wrong in either /var/log/messages or dmesg.
Comment 1 Gianluca Varisco 2008-09-05 05:26:19 EDT
Hi Rohit,

Did 2.6.25.14-108.fc9 kernel fixed your problem(s)? Please let me know.
Comment 2 John W. Linville 2008-09-23 13:35:02 EDT
Yes I think this is a duplicate of a very old bug.  Are you having this problem with updated kernels?
Comment 3 John W. Linville 2008-11-13 10:17:56 EST
Closed due to lack of response...

Note You need to log in before you can comment on or make changes to this bug.